package org.lym.pom.repository.mongo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.io.Serializable;

/**
 * 一个用户对另一个用户的关注
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Document(collection = "follow")
public class Follow implements Serializable {

    /**
     * id
     */
    @Id
    private String id;
    /**
     * 用户X
     */
    @Indexed
    private String userId;
    /**
     * 用户X关注的人
     */
    @Field
    private String followUserId;
    /**
     * 关注时间
     */
    @Field
    private Long createTime;
}
