package org.lym.pom.service;

import org.lym.pom.repository.mongo.Comment;

/**
 * 评论/赞服务
 *
 * @author lym
 */
public interface CommentService {

    /**
     * 添加评论
     *
     * @param comment 评论信息
     * @return 添加成功返回true，否则返回false
     */
    boolean addComment(Comment comment);

    /**
     * 删除评论
     *
     * @param comment 评论信息
     */
    void removeComment(Comment comment);

    /**
     * 喜欢/点赞
     *
     * @param comment 评论信息
     */
    boolean addMarkedComment(Comment comment);

    /**
     * 取消喜欢/点赞
     *
     * @param comment 评论信息
     */
    void removeMarkedComment(Comment comment);

    /**
     * 查询评论数量
     *
     * @param relatedId  评论信息
     * @param relatedType  评论信息
     * @param comment  评论信息
     * @param parentId 总数传 null，子评论回复数传具体父评论 id
     * @param type 类型：评论/赞
     * @return 评论数量，若无评论返回0
     */
    long countCommentNumber(String relatedId, String relatedType, String parentId, String type);
}
