package org.lym.pom.service.impl;

import org.lym.pom.repository.mongo.Follow;
import org.lym.pom.service.FollowService;
import org.shoulder.core.dto.request.BasePageQuery;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Service;

/**
 * 订阅推送服务
 *
 * @author lym
 */
@Service
public class FollowServiceImpl implements FollowService {

    private final MongoTemplate mongoTemplate;

    public FollowServiceImpl(MongoTemplate mongoTemplate) {
        this.mongoTemplate = mongoTemplate;
    }

    @Override
    public boolean isFollow(String userId, String followUserId) {
        Query query = Query.query(Criteria.where("userId").is(userId)
                .and("followUserId").is(followUserId));
        return mongoTemplate.exists(query, Follow.class);
    }

    @Override
    public void follow(String userId, String followUserId) {
        Follow follow = new Follow();
        follow.setUserId(userId);
        follow.setFollowUserId(followUserId);
        follow.setCreateTime(System.currentTimeMillis());
        mongoTemplate.save(follow);
    }

    @Override
    public void unfollow(String userId, String followUserId) {
        Query query = Query.query(Criteria.where("userId").is(userId)
                .and("followUserId").is(followUserId));
        mongoTemplate.remove(query, Follow.class);
    }

    @Override
    public BasePageQuery<Follow> queryFollowList(String userId) {
//        Query query = new Query().filter(eq("userId", userId)).sort(new Sort().ascending("followUserId"));
//        return mongoTemplate.findAll(query, Follow.class);
        return null;
    }

    @Override
    public BasePageQuery<Follow> queryFollowedList(String userId) {
        return null;
    }

    @Override
    public long countFollowNumber(String userId) {
        return 0L;
    }

    @Override
    public long countFollowedNumber(String userId) {
        return 0L;
    }
}
